SMMR = CreateFrame("Frame")
SMMR:RegisterEvent("UPDATE_BATTLEFIELD_STATUS")
local rb={}
local msg=nil
SMMR:SetScript("OnEvent", function()
	--make sure we're in an arena and not a battleground
	iRA = select(2,IsActiveBattlefieldArena())
	if iRA then
		--If the arena has not yet ended, get current ratings and return without doing anything
		battlefieldWinner = GetBattlefieldWinner()
		if (battlefieldWinner == nil) then
			if not rb[1] then
				for i=1,4 do
					rb[i]=GetPersonalRatedInfo(i)
				end
			end
			return
		end
		--Get new ratings
		local ra={}
		for i=1,4 do
			ra[i]=GetPersonalRatedInfo(i)
		end
		--Get bracket
		local b
		for i=1,4 do
			if ra[i]~=nil and rb[i]~=nil then
				if ra[i]<rb[i] or ra[i]>rb[i] then
					b=i
				end
			end
		end
		--Get mmr
		local mmr1=select(4,GetBattlefieldTeamInfo(battlefieldWinner))
		local mmr2= select(4,GetBattlefieldTeamInfo(((battlefieldWinner-1)*(-1))))
		--Generate message and check if rated or just skirmish	
		if b~=nil and mmr1>0 and mmr2>0 then
			if GetBattlefieldArenaFaction()==battlefieldWinner then
				msg="(rating: "..GetPersonalRatedInfo(b).." (+"..(ra[b]-rb[b]).."); mmr: "..mmr1.." (vs "..mmr2.."))";
			else
				msg="(rating: "..GetPersonalRatedInfo(b).." (-"..(rb[b]-ra[b]).."); mmr: "..mmr2.." (vs "..mmr1.."))";
			end
		elseif mmr1>0 and mmr2>0 then
			if GetBattlefieldArenaFaction()==battlefieldWinner then
				msg="(rating: no change (+0); mmr: "..mmr1.." (vs "..mmr2.."))";
			else
				msg="(rating: no change (-0); mmr: "..mmr2.." (vs "..mmr1.."))";
			end
		end
		--Partymessage im not skirmish and reset vars
		if msg~=nil then
			SendChatMessage(msg, "PARTY");
		end
		rb={}
		msg=nil
	else
		rb={}
		msg=nil
	end
end)